std::rel_ops Namespace Reference

## Functions

template<class _Tp >
bool | operator!= (const _Tp &__x, const _Tp &__y)
template<class _Tp >
bool | operator<= (const _Tp &__x, const _Tp &__y)
template<class _Tp >
bool | operator> (const _Tp &__x, const _Tp &__y)
template<class _Tp >
bool | operator>= (const _Tp &__x, const _Tp &__y)

## Detailed Description

The generated relational operators are sequestered here.

## Function Documentation

template<class _Tp >

bool std::rel_ops::operator!= | ( | const _Tp & | __x,
|  | const _Tp & | __y
| ) |  |

inline

Defines `!=` for arbitrary types, in terms of `==`.

Parameters

  __x | A thing.
  __y | Another thing.

Returns
  __x != __y

This function uses `==` to determine its result.

Definition at line 87 of file stl_relops.h.

template<class _Tp >

bool std::rel_ops::operator<= | ( | const _Tp & | __x,
|  | const _Tp & | __y
| ) |  |

inline

Defines `<=` for arbitrary types, in terms of `<`.

Parameters

  __x | A thing.
  __y | Another thing.

Returns
  __x <= __y

This function uses `<` to determine its result.

Definition at line 113 of file stl_relops.h.

template<class _Tp >

bool std::rel_ops::operator> | ( | const _Tp & | __x,
|  | const _Tp & | __y
| ) |  |

inline

Defines `>` for arbitrary types, in terms of `<`.

Parameters

  __x | A thing.
  __y | Another thing.

Returns
  __x > __y

This function uses `<` to determine its result.

Definition at line 100 of file stl_relops.h.

template<class _Tp >

bool std::rel_ops::operator>= | ( | const _Tp & | __x,
|  | const _Tp & | __y
| ) |  |

inline

Defines `>=` for arbitrary types, in terms of `<`.

Parameters

  __x | A thing.
  __y | Another thing.

Returns
  __x >= __y

This function uses `<` to determine its result.

Definition at line 126 of file stl_relops.h.